Support » Plugin: WooCommerce Conversion Tracking » Warning:Declaration of WeDevs_WC_Tracking_Integration…

Viewing 6 replies - 1 through 6 (of 6 total)
  • michaelwilding

    (@michaelwilding)

    I’ve started getting this as well.

    louis2b

    (@louis2b)

    Hi I have the exact same issue with following message :

    Warning: Declaration of WeDevs_WC_Tracking_Integration::validate_textarea_field($key) should be compatible with WC_Settings_API::validate_textarea_field($key, $value) in ../wp-content/plugins/woocommerce-conversion-tracking/includes/integration.phpon line 0

    Any idea on how to solve this ?

    Thanks a lot

    Louis

    I am getting the same error:
    PHP Strict Standards: Declaration of WeDevs_WC_Tracking_Integration::validate_textarea_field() should be compatible with WC_Settings_API::validate_textarea_field($key, $value) in /nas/content/live/#####/wp-content/plugins/woocommerce-conversion-tracking/includes/integration.php on line 302, referer: /wp-admin/post.php?post=###&action=edit

    I get the same error [07-Oct-2016 02:33:21 UTC] PHP Strict Standards: Declaration of WeDevs_WC_Tracking_Integration::validate_textarea_field() should be compatible with WC_Settings_API::validate_textarea_field($key, $value) in /wp-content/plugins/woocommerce-conversion-tracking/includes/integration.php on line 302

    I have, W3 Total Cache

    Same here but the author doesn’t seem to bother.

    Here’s the fix:

    The string wp-content/plugins/woocommerce-conversion-tracking/includes/integration.php:83

    should be

    function validate_textarea_field( $key, $value ) {

    instead of

    function validate_textarea_field( $key ) {

    @pavlo.opanasenko thank you very much for your contribution 🙂
    It solved my problem

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Warning:Declaration of WeDevs_WC_Tracking_Integration…’ is closed to new replies.